%define _htmldir /var/www/html

Name: sarg
Version: 2.2.5
Release: alt2

Packager: Roman Savochenko <rom_as@altlinux.ru>
Summary: Squid report generator per user/ip/name
URL: http://sarg.sourceforge.net/
Source: %name-%version.tar

Patch: %name-alt-makefile.patch
#Patch1: %name-2.1-datafile.patch
Patch2: %name-limitblk.patch

License: GPL
Group: Monitoring
Requires: squid-server

%description
Sarg (was Sqmgrlog) generate reports per user/ip/name from SQUID log file.
The reports will be generated in HTML or email.

%prep
%setup -q
%patch
#%patch1
%patch2

%build
chmod a+x sarg-php/locale
%configure --enable-bindir=%_sbindir \
	   --enable-sysconfdir=%_sysconfdir/%name \
	   --enable-mandir=%_mandir

%make

%install
mkdir -p %buildroot{%_sbindir,%_sysconfdir/%name/sarg-php/locale,%_htmldir/squid-reports}
chmod 755 %buildroot%_sysconfdir/%name/sarg-php/locale

make BINDIR=%buildroot%_sbindir SYSCONFDIR=%buildroot%_sysconfdir/%name HTMLDIR=%buildroot%_htmldir MANDIR=%buildroot%_man1dir install
rm -rf %buildroot%_htmldir/sarg-php

subst "s|#access_log /usr/local/squid/var/logs/access.log|access_log /var/log/squid/access.log|" %buildroot%_sysconfdir/%name/sarg.conf
subst "s|#output_dir|output_dir|" %buildroot%_sysconfdir/%name/sarg.conf
subst "s|#		Russian_UFT-8|#		Russian_UTF-8|" %buildroot%_sysconfdir/%name/sarg.conf

subst "s|conf=\"/usr/local/sarg/sarg.conf\"|conf=\"%_sysconfdir/%name/%name.conf\"|" %buildroot%_sysconfdir/%name/user_limit_block
subst "s|squid_password_file=\"/usr/local/squid/etc/passwd\"|conf=\"%_sysconfdir/squid/passwd\"|" %buildroot%_sysconfdir/%name/user_limit_block

%files
%doc CONTRIBUTORS DONATIONS ChangeLog LICENSE README BETA-TESTERS
%_man1dir/*
%_sbindir/%name
%config(noreplace) %_sysconfdir/sarg/sarg.conf
%attr(0775,root,squid) %dir %_htmldir/squid-reports
%config(noreplace) %dir %_sysconfdir/%name
%config(noreplace) %dir %_sysconfdir/%name/languages
%config(noreplace) %dir %_sysconfdir/%name/fonts
%config(noreplace) %dir %_sysconfdir/%name/images
%config(noreplace) %dir %_sysconfdir/%name/sarg-php
%config(noreplace) %_sysconfdir/%name/exclude_codes
%config(noreplace) %_sysconfdir/%name/user_limit_block
%config(noreplace) %_sysconfdir/%name/languages/.new
%config(noreplace) %_sysconfdir/%name/languages/*
%_sysconfdir/%name/css.tpl
%_sysconfdir/%name/fonts/*
%_sysconfdir/%name/images/*
%_sysconfdir/%name/sarg-php/*

%changelog
* Wed Oct 08 2008 Roman Savochenko <rom_as@altlinux.ru> 2.2.5-alt2
- Users' groups support limit patch is added.

* Fri Apr 25 2008 Avramenko Andrew <liks@altlinux.ru> 2.2.5-alt1
- New version

* Wed Aug  1 2007 Avramenko Andrew <liks@altlinux.ru> 2.2.3.1-alt1
- New version
- fixed #10028

* Tue Mar 21 2006 Vladimir Lettiev <crux@altlinux.ru> 2.1-alt1
- 2.1

* Thu Mar 16 2006 Vladimir Lettiev <crux@altlinux.ru> 2.0.8-alt2
- fix build with -Wl, --as-needed

* Thu Jun 30 2005 Vladimir Lettiev <crux@altlinux.ru> 2.0.8-alt1
- 2.0.8
- fixed #7236

* Tue Feb 22 2005 Vladimir Lettiev <crux@altlinux.ru> 2.0.2-alt1
- Rebuilt for ALTLinux Sisyphus

* Thu Nov 25 2004 Vladimir Lettiev <crux@gorodmasterov.com> 2.0.2-1mdk
- 2.0.2
